Package twisted :: Package web :: Package woven :: Module form :: Class _RequestHack

[frames | no frames]

## Class _RequestHack

      Model --+
              |
    MethodModel --+
                  |
                 _RequestHack

Method Summary
| `wmfactory_hack(self, request)`
Inherited from MethodModel
| ``getSubmodel`(self, request, name)` Get the submodel `name' of this model.
| ``submodelCheck`(self, request, name)` Allow any submodel for which I have a submodel.
| ``submodelFactory`(self, request, name)` Call a wmfactory_name method on this model.
Inherited from Model
| ``__init__`(self, *args, **kwargs)`
| ``__getstate__`(self)`
| ``addSubview`(self, name, subview)`
| ``addView`(self, view)` Add a view for the model to keep track of.
| ``dataWillChange`(self)`
| ``getData`(self, request)`
| ``initialize`(self, *args, **kwargs)` Hook for subclasses to initialize themselves without having to mess with the __init__ chain.
| ``invalidateCache`(self)` Invalidate the cache for this object, so the next time getData is called, it's getter method is called again.
| ``lookupSubmodel`(self, request, submodelName)` Look up a full submodel name.
| ``notify`(self, changed)` Notify all views that something was changed on me.
| ``removeView`(self, view)` Remove a view that the model no longer should keep track of.
| ``setData`(self, request, data)`
| ``setGetter`(self, getter)`
| ``setSetter`(self, setter)`
| ``setSubmodel`(self, request, name, value)` Set a submodel on this model.

Class Variable Summary
Inherited from Model
`list` | `allowed_names` = `[]`
`list` | `protected_names` = `['initialize', 'addView', 'addSubview'...`

Generated by Epydoc 2.0 on Sat May 15 20:07:45 2004 | http://epydoc.sf.net